package esercizio5;

public class Esempi {

	// ASSEGNAMENTI
	
	// restituisce x+1
	static int somma1(int x) {
		return x+1;
	}
		
	// restituisce il resto della divisione (senza usare %)  
	// 
	static int resto(int x, int y) {
		return x%y;
	}
	
	// condizionali	
	//@ ensures \result >= x && \result >= y;
	//@ ensures \result == x || \result == y;	
	static int max(int x, int y) {
		return x > y ? x : y;
	}
	
	static boolean equals(int x, int y) {
		return true;
	}

	static int min(int x, int y) {
		return 1;
	}

}
